@import url('https://fonts.googleapis.com/css2?family=Bebas+Neue&family=Inter:wght@400;700&family=Montserrat:wght@400;700&family=Roboto+Condensed:ital,wght@1,400;1,700&family=Roboto:ital,wght@0,300;0,400;0,500;1,400&display=swap');
@import url("https://fonts.googleapis.com/icon?family=Material+Icons");

:root {
    --primary: #002366;
    --emphasis-blue: #002366;
    --gradient-silver: #C0C0C0;
    --bg-dark: #000000;
    /* 2. Definição das Variáveis de Tipografia */
    --font-primary: 'Montserrat', sans-serif; /* Para Títulos */
    --font-secondary: 'Roboto', sans-serif; /* Para Textos e Parágrafos */
    --font-tertiary: 'Inter', sans-serif;
    --font-condensed: 'Roboto Condensed', sans-serif;
    --font-bebas: 'Bebas Neue', sans-serif;
    --fs-h1: 2rem;
    --fs-body: 1rem;
    --text-color-primary: #fff;
    --text-color-secondary: #002366;
}

h1, h2, h3 {
    font-family: var(--font-primary);
    font-weight: 700;
}

html {
    font-size: 14px;
    scroll-behavior: smooth;
}

@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
    box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

html {
    position: relative;
    min-height: 100%;
}


.form-floating > .form-control-plaintext::placeholder, .form-floating > .form-control::placeholder {
    color: var(--bs-secondary-color);
    text-align: end;
}

.form-floating > .form-control-plaintext:focus::placeholder, .form-floating > .form-control:focus::placeholder {
    text-align: start;
}

body {
    overflow: visible !important;
    overflow-x: hidden !important; /* Evita scroll horizontal indesejado */
    height: auto !important;
    position: static !important;
    margin: 0px !important;
    padding: 0px !important;
    background-color: black !important; /* Ou a cor que você definiu */
    color: white !important;
}

    /* Remove a barra/overlay que o template adiciona no topo */
    body::before {
        display: none !important;
        content: none !important;
    }

    body::after {
        display: none !important;
        content: none !important;
    }

.contact-menu,
#contact-menu,
.preview {
    display: none !important;
    visibility: hidden !important;
    pointer-events: none !important;
}
